Method: remediationActionExecutions.list

Full name: projects.locations.instances.remediationPlans.remediationActions.remediationActionExecutions.list

Lists action execution records under a remediation action.

HTTP request

GET https://{endpoint}/v1alpha/{parent}/remediationActionExecutions

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Query parameters

Parameters
pageSize

integer

Optional. Max number of records to return.

pageToken

string

Optional. Pagination token.

filter

string

Optional. Filter for the list request.

orderBy

string

Optional. Order by parameter.

includeAllExecutions

boolean

Optional. If true, returns all historical execution records for each action in the plan. If false or unspecified, returns only the latest execution Whether to include all historical executions or just the latest.

Request body

The request body must be empty.

Response body

Response payload for remediationActionExecutions.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "remediationActionExecutions": [
    {
      object (RemediationActionExecution)
    }
  ],
  "nextPageToken": string,
  "totalSize": integer
}
Fields
remediationActionExecutions[]

object (RemediationActionExecution)

Revisions of executions returned.

nextPageToken

string

Token for pagination.

totalSize

integer

Total number of executions.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle

For more information, see the Authentication Overview.